Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01550 Sound Minor Always Mar 19, 2008, 17:39 Jan 25, 2021, 12:50
Tester Kold666 View Status Public Platform MAME (Official Binary)
Assigned To jkm900 Resolution Fixed OS
Status [?] Resolved Driver cabal.cpp
Version 0.123u6 Fixed in Version 0.227 Build
Fixed in Git Commit Github Pull Request #
Summary 01550: cabal, cabala, cabalus, cabalus2: Cabal uses msm5205 chips instead of the custom adpcm
Description The original pcb of Cabal uses for sample playback normal msm5205 chips instead of the "custom" adcpm currently used by Mame.

In practice bootleg and original pcb differ in the sound section by the use of the 2x z80s instead of the 2x Seibu Y3931.
Sample playback chips are the same
Steps To Reproduce
Additional Information
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems cabal, cabala, cabalus, cabalus2
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.11272
AWJ
Developer
Nov 30, 2014, 16:03
The "Seibu ADPCM" device *is* a MSM5205, with the interface to the sample ROM presumably provided by the "YM3931" custom.

Here's a high quality photo of a Kyuukyoku no Othello PCB: http://gfront.sakura.ne.jp/sblo_files/gfront/image/DSC_8734.JPG

And here's a link to the page it's on in case a direct image link doesn't work: http://gfront.sblo.jp/archives/20130520-1.html

The MSM5205 can be seen on the right side of the PCB, to the left of the Z80 and below the four large SIPs.

Cabal, Kyuukyoku no Othello and Dead Angle are the only games using the "Seibu ADPCM" device. I can't find a high quality picture of a Dead Angle board but I'd be very surprised if it didn't also have MSM5205s.